import jaggl.OpenGL;

public class Class79_Sub1_Sub1 extends Class79_Sub1 {

   Class545_Sub1 aClass545_Sub1_10234;
   Class147_Sub1 aClass147_Sub1_10235;
   static int[] anIntArray10236 = new int[4];


   boolean method15820(Class147_Sub1 var1, Class147_Sub1 var2, float var3) {
      boolean var4 = true;
      Class151_Sub1_Sub2 var5 = this.aClass545_Sub1_10234.aClass151_Sub1_Sub2_9288;
      this.aClass545_Sub1_10234.qa(anIntArray10236);
      this.aClass545_Sub1_10234.L();
      this.aClass545_Sub1_10234.method14568();
      OpenGL.glMatrixMode(5889);
      OpenGL.glLoadIdentity();
      OpenGL.glOrtho(0.0D, 1.0D, 0.0D, 1.0D, -1.0D, 1.0D);
      OpenGL.glMatrixMode(5888);
      OpenGL.glLoadIdentity();
      OpenGL.glPushAttrib(2048);
      OpenGL.glViewport(0, 0, this.aClass147_Sub1_10235.anInt9837, this.aClass147_Sub1_10235.anInt9837);
      this.aClass545_Sub1_10234.method14657(false);
      this.aClass545_Sub1_10234.method14634(false);
      this.aClass545_Sub1_10234.method14600(false);
      this.aClass545_Sub1_10234.method14549(false);
      this.aClass545_Sub1_10234.method14540(-2);
      this.aClass545_Sub1_10234.method14641(1);
      this.aClass545_Sub1_10234.method14596(0.0F, 0.0F, 0.0F, var3);
      this.aClass545_Sub1_10234.method14553('\u8575', '\u8575');
      this.aClass545_Sub1_10234.method14725(var2);
      this.aClass545_Sub1_10234.method14641(0);
      this.aClass545_Sub1_10234.method14591(1);
      this.aClass545_Sub1_10234.method14725(var1);
      this.aClass545_Sub1_10234.method11451(var5, -543666943);

      for(int var6 = 0; var6 < 6; ++var6) {
         int var7 = '\u8515' + var6;
         var5.method14460(0, this.aClass147_Sub1_10235.method15409(var7, 0));
         var5.method15794(0);
         if(!var5.method14461()) {
            var4 = false;
            break;
         }

         OpenGL.glBegin(7);
         switch(var7) {
         case '\u8515':
            OpenGL.glTexCoord3i('\uffff', '\ufffe', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', '\ufffe', '\ufffe');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\uffff', '\ufffe', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', '\ufffe', -65534);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\uffff', -65534, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', -65534, -65534);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i('\uffff', -65534, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', -65534, '\ufffe');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8516':
            OpenGL.glTexCoord3i(-65535, '\ufffe', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, '\ufffe', -65534);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i(-65535, '\ufffe', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, '\ufffe', '\ufffe');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i(-65535, -65534, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, -65534, '\ufffe');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65535, -65534, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, -65534, -65534);
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8517':
            OpenGL.glTexCoord3i(-65534, '\uffff', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\uffff', -65534);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\uffff', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\uffff', -65534);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\uffff', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\uffff', '\ufffe');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, '\uffff', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\uffff', '\ufffe');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8518':
            OpenGL.glTexCoord3i(-65534, -65535, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65535, '\ufffe');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65535, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65535, '\ufffe');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65535, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65535, -65534);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, -65535, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65535, -65534);
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8519':
            OpenGL.glTexCoord3i(-65534, '\ufffe', '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\ufffe', '\uffff');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\ufffe', '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\ufffe', '\uffff');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65534, '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65534, '\uffff');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, -65534, '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65534, '\uffff');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u851a':
            OpenGL.glTexCoord3i('\ufffe', '\ufffe', -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\ufffe', -65535);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i(-65534, '\ufffe', -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\ufffe', -65535);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i(-65534, -65534, -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65534, -65535);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i('\ufffe', -65534, -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65534, -65535);
            OpenGL.glVertex2f(0.0F, 1.0F);
         }

         OpenGL.glEnd();
      }

      var5.method14460(0, (Interface7)null);
      this.aClass545_Sub1_10234.method11672(var5, (byte)55);
      this.aClass545_Sub1_10234.method14641(1);
      this.aClass545_Sub1_10234.method14725((Class147)null);
      this.aClass545_Sub1_10234.method14553(8448, 8448);
      this.aClass545_Sub1_10234.method14641(0);
      this.aClass545_Sub1_10234.method14725((Class147)null);
      OpenGL.glPopAttrib();
      this.aClass545_Sub1_10234.r(anIntArray10236[0], anIntArray10236[1], anIntArray10236[2], anIntArray10236[3]);
      if(var4 && !this.aClass545_Sub1_10234.aBool9249) {
         this.aClass147_Sub1_10235.method2715();
      }

      return var4;
   }

   int method15821() {
      return this.aClass147_Sub1_10235.anInt9837;
   }

   Class147_Sub1 method14524() {
      return this.aClass147_Sub1_10235;
   }

   boolean method15822(Class147_Sub1 var1, Class147_Sub1 var2, float var3) {
      boolean var4 = true;
      Class151_Sub1_Sub2 var5 = this.aClass545_Sub1_10234.aClass151_Sub1_Sub2_9288;
      this.aClass545_Sub1_10234.qa(anIntArray10236);
      this.aClass545_Sub1_10234.L();
      this.aClass545_Sub1_10234.method14568();
      OpenGL.glMatrixMode(5889);
      OpenGL.glLoadIdentity();
      OpenGL.glOrtho(0.0D, 1.0D, 0.0D, 1.0D, -1.0D, 1.0D);
      OpenGL.glMatrixMode(5888);
      OpenGL.glLoadIdentity();
      OpenGL.glPushAttrib(2048);
      OpenGL.glViewport(0, 0, this.aClass147_Sub1_10235.anInt9837, this.aClass147_Sub1_10235.anInt9837);
      this.aClass545_Sub1_10234.method14657(false);
      this.aClass545_Sub1_10234.method14634(false);
      this.aClass545_Sub1_10234.method14600(false);
      this.aClass545_Sub1_10234.method14549(false);
      this.aClass545_Sub1_10234.method14540(-2);
      this.aClass545_Sub1_10234.method14641(1);
      this.aClass545_Sub1_10234.method14596(0.0F, 0.0F, 0.0F, var3);
      this.aClass545_Sub1_10234.method14553('\u8575', '\u8575');
      this.aClass545_Sub1_10234.method14725(var2);
      this.aClass545_Sub1_10234.method14641(0);
      this.aClass545_Sub1_10234.method14591(1);
      this.aClass545_Sub1_10234.method14725(var1);
      this.aClass545_Sub1_10234.method11451(var5, -543666943);

      for(int var6 = 0; var6 < 6; ++var6) {
         int var7 = '\u8515' + var6;
         var5.method14460(0, this.aClass147_Sub1_10235.method15409(var7, 0));
         var5.method15794(0);
         if(!var5.method14461()) {
            var4 = false;
            break;
         }

         OpenGL.glBegin(7);
         switch(var7) {
         case '\u8515':
            OpenGL.glTexCoord3i('\uffff', '\ufffe', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', '\ufffe', '\ufffe');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\uffff', '\ufffe', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', '\ufffe', -65534);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\uffff', -65534, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', -65534, -65534);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i('\uffff', -65534, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', -65534, '\ufffe');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8516':
            OpenGL.glTexCoord3i(-65535, '\ufffe', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, '\ufffe', -65534);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i(-65535, '\ufffe', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, '\ufffe', '\ufffe');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i(-65535, -65534, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, -65534, '\ufffe');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65535, -65534, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, -65534, -65534);
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8517':
            OpenGL.glTexCoord3i(-65534, '\uffff', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\uffff', -65534);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\uffff', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\uffff', -65534);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\uffff', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\uffff', '\ufffe');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, '\uffff', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\uffff', '\ufffe');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8518':
            OpenGL.glTexCoord3i(-65534, -65535, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65535, '\ufffe');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65535, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65535, '\ufffe');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65535, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65535, -65534);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, -65535, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65535, -65534);
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8519':
            OpenGL.glTexCoord3i(-65534, '\ufffe', '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\ufffe', '\uffff');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\ufffe', '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\ufffe', '\uffff');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65534, '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65534, '\uffff');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, -65534, '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65534, '\uffff');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u851a':
            OpenGL.glTexCoord3i('\ufffe', '\ufffe', -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\ufffe', -65535);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i(-65534, '\ufffe', -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\ufffe', -65535);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i(-65534, -65534, -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65534, -65535);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i('\ufffe', -65534, -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65534, -65535);
            OpenGL.glVertex2f(0.0F, 1.0F);
         }

         OpenGL.glEnd();
      }

      var5.method14460(0, (Interface7)null);
      this.aClass545_Sub1_10234.method11672(var5, (byte)62);
      this.aClass545_Sub1_10234.method14641(1);
      this.aClass545_Sub1_10234.method14725((Class147)null);
      this.aClass545_Sub1_10234.method14553(8448, 8448);
      this.aClass545_Sub1_10234.method14641(0);
      this.aClass545_Sub1_10234.method14725((Class147)null);
      OpenGL.glPopAttrib();
      this.aClass545_Sub1_10234.r(anIntArray10236[0], anIntArray10236[1], anIntArray10236[2], anIntArray10236[3]);
      if(var4 && !this.aClass545_Sub1_10234.aBool9249) {
         this.aClass147_Sub1_10235.method2715();
      }

      return var4;
   }

   int method15823() {
      return this.aClass147_Sub1_10235.anInt9837;
   }

   Class79_Sub1_Sub1(Class545_Sub1 var1, int var2) {
      this.aClass545_Sub1_10234 = var1;
      this.aClass147_Sub1_10235 = new Class147_Sub1(var1, Class98.aClass98_992, Class91.aClass91_897, var2);
   }

   int method15824() {
      return this.aClass147_Sub1_10235.anInt9837;
   }

   int method15825() {
      return this.aClass147_Sub1_10235.anInt9837;
   }

   Class147_Sub1 method14525() {
      return this.aClass147_Sub1_10235;
   }

   boolean method15826(Class147_Sub1 var1, Class147_Sub1 var2, float var3) {
      boolean var4 = true;
      Class151_Sub1_Sub2 var5 = this.aClass545_Sub1_10234.aClass151_Sub1_Sub2_9288;
      this.aClass545_Sub1_10234.qa(anIntArray10236);
      this.aClass545_Sub1_10234.L();
      this.aClass545_Sub1_10234.method14568();
      OpenGL.glMatrixMode(5889);
      OpenGL.glLoadIdentity();
      OpenGL.glOrtho(0.0D, 1.0D, 0.0D, 1.0D, -1.0D, 1.0D);
      OpenGL.glMatrixMode(5888);
      OpenGL.glLoadIdentity();
      OpenGL.glPushAttrib(2048);
      OpenGL.glViewport(0, 0, this.aClass147_Sub1_10235.anInt9837, this.aClass147_Sub1_10235.anInt9837);
      this.aClass545_Sub1_10234.method14657(false);
      this.aClass545_Sub1_10234.method14634(false);
      this.aClass545_Sub1_10234.method14600(false);
      this.aClass545_Sub1_10234.method14549(false);
      this.aClass545_Sub1_10234.method14540(-2);
      this.aClass545_Sub1_10234.method14641(1);
      this.aClass545_Sub1_10234.method14596(0.0F, 0.0F, 0.0F, var3);
      this.aClass545_Sub1_10234.method14553('\u8575', '\u8575');
      this.aClass545_Sub1_10234.method14725(var2);
      this.aClass545_Sub1_10234.method14641(0);
      this.aClass545_Sub1_10234.method14591(1);
      this.aClass545_Sub1_10234.method14725(var1);
      this.aClass545_Sub1_10234.method11451(var5, -543666943);

      for(int var6 = 0; var6 < 6; ++var6) {
         int var7 = '\u8515' + var6;
         var5.method14460(0, this.aClass147_Sub1_10235.method15409(var7, 0));
         var5.method15794(0);
         if(!var5.method14461()) {
            var4 = false;
            break;
         }

         OpenGL.glBegin(7);
         switch(var7) {
         case '\u8515':
            OpenGL.glTexCoord3i('\uffff', '\ufffe', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', '\ufffe', '\ufffe');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\uffff', '\ufffe', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', '\ufffe', -65534);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\uffff', -65534, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', -65534, -65534);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i('\uffff', -65534, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', -65534, '\ufffe');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8516':
            OpenGL.glTexCoord3i(-65535, '\ufffe', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, '\ufffe', -65534);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i(-65535, '\ufffe', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, '\ufffe', '\ufffe');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i(-65535, -65534, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, -65534, '\ufffe');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65535, -65534, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, -65534, -65534);
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8517':
            OpenGL.glTexCoord3i(-65534, '\uffff', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\uffff', -65534);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\uffff', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\uffff', -65534);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\uffff', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\uffff', '\ufffe');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, '\uffff', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\uffff', '\ufffe');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8518':
            OpenGL.glTexCoord3i(-65534, -65535, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65535, '\ufffe');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65535, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65535, '\ufffe');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65535, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65535, -65534);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, -65535, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65535, -65534);
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8519':
            OpenGL.glTexCoord3i(-65534, '\ufffe', '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\ufffe', '\uffff');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\ufffe', '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\ufffe', '\uffff');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65534, '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65534, '\uffff');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, -65534, '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65534, '\uffff');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u851a':
            OpenGL.glTexCoord3i('\ufffe', '\ufffe', -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\ufffe', -65535);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i(-65534, '\ufffe', -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\ufffe', -65535);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i(-65534, -65534, -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65534, -65535);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i('\ufffe', -65534, -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65534, -65535);
            OpenGL.glVertex2f(0.0F, 1.0F);
         }

         OpenGL.glEnd();
      }

      var5.method14460(0, (Interface7)null);
      this.aClass545_Sub1_10234.method11672(var5, (byte)99);
      this.aClass545_Sub1_10234.method14641(1);
      this.aClass545_Sub1_10234.method14725((Class147)null);
      this.aClass545_Sub1_10234.method14553(8448, 8448);
      this.aClass545_Sub1_10234.method14641(0);
      this.aClass545_Sub1_10234.method14725((Class147)null);
      OpenGL.glPopAttrib();
      this.aClass545_Sub1_10234.r(anIntArray10236[0], anIntArray10236[1], anIntArray10236[2], anIntArray10236[3]);
      if(var4 && !this.aClass545_Sub1_10234.aBool9249) {
         this.aClass147_Sub1_10235.method2715();
      }

      return var4;
   }

   boolean method15827(Class147_Sub1 var1, Class147_Sub1 var2, float var3) {
      boolean var4 = true;
      Class151_Sub1_Sub2 var5 = this.aClass545_Sub1_10234.aClass151_Sub1_Sub2_9288;
      this.aClass545_Sub1_10234.qa(anIntArray10236);
      this.aClass545_Sub1_10234.L();
      this.aClass545_Sub1_10234.method14568();
      OpenGL.glMatrixMode(5889);
      OpenGL.glLoadIdentity();
      OpenGL.glOrtho(0.0D, 1.0D, 0.0D, 1.0D, -1.0D, 1.0D);
      OpenGL.glMatrixMode(5888);
      OpenGL.glLoadIdentity();
      OpenGL.glPushAttrib(2048);
      OpenGL.glViewport(0, 0, this.aClass147_Sub1_10235.anInt9837, this.aClass147_Sub1_10235.anInt9837);
      this.aClass545_Sub1_10234.method14657(false);
      this.aClass545_Sub1_10234.method14634(false);
      this.aClass545_Sub1_10234.method14600(false);
      this.aClass545_Sub1_10234.method14549(false);
      this.aClass545_Sub1_10234.method14540(-2);
      this.aClass545_Sub1_10234.method14641(1);
      this.aClass545_Sub1_10234.method14596(0.0F, 0.0F, 0.0F, var3);
      this.aClass545_Sub1_10234.method14553('\u8575', '\u8575');
      this.aClass545_Sub1_10234.method14725(var2);
      this.aClass545_Sub1_10234.method14641(0);
      this.aClass545_Sub1_10234.method14591(1);
      this.aClass545_Sub1_10234.method14725(var1);
      this.aClass545_Sub1_10234.method11451(var5, -543666943);

      for(int var6 = 0; var6 < 6; ++var6) {
         int var7 = '\u8515' + var6;
         var5.method14460(0, this.aClass147_Sub1_10235.method15409(var7, 0));
         var5.method15794(0);
         if(!var5.method14461()) {
            var4 = false;
            break;
         }

         OpenGL.glBegin(7);
         switch(var7) {
         case '\u8515':
            OpenGL.glTexCoord3i('\uffff', '\ufffe', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', '\ufffe', '\ufffe');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\uffff', '\ufffe', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', '\ufffe', -65534);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\uffff', -65534, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', -65534, -65534);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i('\uffff', -65534, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\uffff', -65534, '\ufffe');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8516':
            OpenGL.glTexCoord3i(-65535, '\ufffe', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, '\ufffe', -65534);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i(-65535, '\ufffe', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, '\ufffe', '\ufffe');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i(-65535, -65534, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, -65534, '\ufffe');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65535, -65534, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65535, -65534, -65534);
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8517':
            OpenGL.glTexCoord3i(-65534, '\uffff', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\uffff', -65534);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\uffff', -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\uffff', -65534);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\uffff', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\uffff', '\ufffe');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, '\uffff', '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\uffff', '\ufffe');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8518':
            OpenGL.glTexCoord3i(-65534, -65535, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65535, '\ufffe');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65535, '\ufffe');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65535, '\ufffe');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65535, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65535, -65534);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, -65535, -65534);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65535, -65534);
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u8519':
            OpenGL.glTexCoord3i(-65534, '\ufffe', '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\ufffe', '\uffff');
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', '\ufffe', '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\ufffe', '\uffff');
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i('\ufffe', -65534, '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65534, '\uffff');
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i(-65534, -65534, '\uffff');
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65534, '\uffff');
            OpenGL.glVertex2f(0.0F, 1.0F);
            break;
         case '\u851a':
            OpenGL.glTexCoord3i('\ufffe', '\ufffe', -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', '\ufffe', -65535);
            OpenGL.glVertex2f(0.0F, 0.0F);
            OpenGL.glTexCoord3i(-65534, '\ufffe', -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, '\ufffe', -65535);
            OpenGL.glVertex2f(1.0F, 0.0F);
            OpenGL.glTexCoord3i(-65534, -65534, -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', -65534, -65534, -65535);
            OpenGL.glVertex2f(1.0F, 1.0F);
            OpenGL.glTexCoord3i('\ufffe', -65534, -65535);
            OpenGL.glMultiTexCoord3i('\u84c1', '\ufffe', -65534, -65535);
            OpenGL.glVertex2f(0.0F, 1.0F);
         }

         OpenGL.glEnd();
      }

      var5.method14460(0, (Interface7)null);
      this.aClass545_Sub1_10234.method11672(var5, (byte)121);
      this.aClass545_Sub1_10234.method14641(1);
      this.aClass545_Sub1_10234.method14725((Class147)null);
      this.aClass545_Sub1_10234.method14553(8448, 8448);
      this.aClass545_Sub1_10234.method14641(0);
      this.aClass545_Sub1_10234.method14725((Class147)null);
      OpenGL.glPopAttrib();
      this.aClass545_Sub1_10234.r(anIntArray10236[0], anIntArray10236[1], anIntArray10236[2], anIntArray10236[3]);
      if(var4 && !this.aClass545_Sub1_10234.aBool9249) {
         this.aClass147_Sub1_10235.method2715();
      }

      return var4;
   }
}
